# 6.3. xtp_run

## 6.3.1. help

### 6.3.1.1. NAME

xtp_run - Part of the VOTCA package

### 6.3.1.2. SYNOPSIS

xtp_run [OPTIONS]

xtp_run [–help]

### 6.3.1.3. DESCRIPTION

Runs excitation/charge transport calculators

### 6.3.1.4. OPTIONS

    Allowed options:

      -h [ --help ]                    display this help and exit
      --verbose                        be loud and noisy
      --verbose1                       be very loud and noisy
      -v [ --verbose2 ]                be extremly loud and noisy
      -o [ --options ] arg             Calculator user options.
      -t [ --nthreads ] arg (=1)       number of threads to create
      -e [ --execute ] arg           Name of Calculator to run
      -l [ --list ]                  Lists all available Calculators
      -d [ --description ] arg       Short description of a Calculators
      -c [ --cmdoptions ] arg        Modify options via command line by e.g. '-c
                                     xmltag.subtag=value'. Use whitespace to
                                     separate multiple options
      -p [ --printoptions ] arg      Prints xml options of a Calculator
      -f [ --file ] arg                hdf5 state file, *.hdf5
      -i [ --first-frame ] arg (=0)    start from this frame
      -n [ --nframes ] arg (=1)        number of frames to process
      -s [ --save ] arg (=1)           whether or not to save changes to state file

The following calculators are available:

- 6.3.1.4.1. eanalyze
- 6.3.1.4.2. einternal
- 6.3.1.4.3. ianalyze
- 6.3.1.4.4. kmclifetime
- 6.3.1.4.5. kmcmultiple
- 6.3.1.4.6. mapchecker
- 6.3.1.4.7. neighborlist
- 6.3.1.4.8. vaverage